/**
 * @Description: 给快速导航视图传入的数据类型
 * @author LiuBo
 * @date 2018/12/19
 * @time 20:43
 */
export class NodeData {
  nodeId: string; // 节点对应的视图的html Id
  nodeText: string; // 节点对应的按钮的名称
  constructor(
    options: {
      nodeId?: string;
      nodeText?: string;
    } = {}
  ) {
    this.nodeId = options.nodeId || "";
    this.nodeText = options.nodeText || "";
  }
}
