export class Token {
  access_token: string;
  token_type: string;
  refresh_token: string;
  expires_in: number | undefined;
  scope: string;
  roles: any[];
  time: number | undefined;
  userName: string;
  jti: string;
  constructor(
    options: {
      access_token?: string;
      token_type?: string;
      refresh_token?: string;
      expires_in?: number;
      scope?: string;
      roles?: any[];
      time?: number;
      userName?: string;
      jti?: string;
    } = {}
  ) {
    this.access_token = options.access_token || "";
    this.token_type = options.token_type || "";
    this.refresh_token = options.refresh_token || "";
    this.expires_in = options.expires_in;
    this.scope = options.scope || "";
    this.roles = options.roles || [];
    this.time = options.time;
    this.userName = options.userName || "";
    this.jti = options.jti || "";
  }
}
