/**
 * @Description: 按钮实体
 * @author liuzehai
 * @date 2021-12-11
 * @time 14:07:27
 */
export class BtnData {
  btnId: string; // 按钮编号
  btnType: string; // 按钮类型(1-描边按钮，2-填充按钮)
  btnText: string; // 按钮名称
  constructor(
    options: {
      btnId?: string;
      btnType?: string;
      btnText?: string;
    } = {}
  ) {
    this.btnId = options.btnId || "";
    this.btnType = options.btnType || "";
    this.btnText = options.btnText || "";
  }
}
