/*
 * @Author: jiangzaicheng jiangzaicheng_jzc@163.com
 * @Date: 2022-07-05 16:57:19
 * @LastEditors: jiangzaicheng jiangzaicheng_jzc@163.com
 * @LastEditTime: 2022-07-05 16:59:56
 * @FilePath: \mcep-h5\src\model\entity\ProductData.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */

export class ProductData {
   productname: string | undefined //产品名称
   describe: string | undefined //描述
   limitrange: string | undefined //额度范围
   interestrate: string | undefined //利率
   loanterm: string | undefined //贷款期限
  constructor(
    options: {
      productname?: string;
      describe?: string;
      limitrange?: string;
      interestrate?: string;
      loanterm?: string;
    } = {}
  ) {
    this.productname = options.productname || "";
    this.describe = options.describe || "";
    this.limitrange = options.limitrange || "";
    this.interestrate = options.interestrate || "";
    this.loanterm = options.loanterm || "";
  }
}
